=== renamed directory 'plugin/js_eval' => 'plugin/js'
=== renamed file 'plugin/js_eval/js_eval.cc' => 'plugin/js/js.cc'
--- plugin/js_eval/js_eval.cc	2011-09-08 11:37:58 +0000
+++ plugin/js/js.cc	2011-09-08 11:59:00 +0000
@@ -41,17 +41,17 @@
 // TODO: So this is a function that returns strings? 
 // What is the class for functions that return mixed types?
 
-class JsEvalFunction :public Item_str_func
+class JsFunction :public Item_str_func
 {
 public:
-  JsEvalFunction() :Item_str_func() {}
-  ~JsEvalFunction() {}
+  JsFunction() :Item_str_func() {}
+  ~JsFunction() {}
 
   String *val_str(String *);
 
   const char *func_name() const 
   { 
-    return "js_eval"; 
+    return "js"; 
   }
 
   void fix_length_and_dec() 
@@ -116,7 +116,7 @@
 }
 
 /**
- * Implements js_eval(), evaluate JavaScript code
+ * Implements js() - execute JavaScript code
  * 
  * @note I only compiled this with -O0 but should work with default O2 also.
  *
@@ -137,7 +137,7 @@
  * @param res Pointer to the drizzled::String object that will contain the result
  * @return a drizzled::String containing the value returned by executed JavaScript code (value of last executed statement) 
  */
-String *JsEvalFunction::val_str( String *str )
+String *JsFunction::val_str( String *str )
 {
   assert( fixed == 1 );
   // If we return from any of the error conditions during method, then 
@@ -171,7 +171,7 @@
   v8::Persistent<v8::Context> context = v8::Context::New( NULL, global );
   if ( context.IsEmpty() ) {
     char buf[100];
-    sprintf(buf, "Error in js_eval() while creating JavaScript context in %s.", JS_ENGINE);
+    sprintf(buf, "Error in js() while creating JavaScript context in %s.", JS_ENGINE);
     my_error(ER_SCRIPT, MYF(0), buf);
     return NULL;
   }
@@ -270,12 +270,12 @@
 
 
 
-plugin::Create_function<JsEvalFunction> *js_eval_function = NULL;
+plugin::Create_function<JsFunction> *js_function = NULL;
 
 static int initialize( module::Context &context )
 {
-  js_eval_function = new plugin::Create_function<JsEvalFunction>( "js_eval" );
-  context.add( js_eval_function );
+  js_function = new plugin::Create_function<JsFunction>("js");
+  context.add( js_function );
   // Initialize V8
   v8::V8::Initialize();
   return 0;
@@ -296,7 +296,7 @@
 DRIZZLE_DECLARE_PLUGIN
 {
   DRIZZLE_VERSION_ID,
-  "js_eval",
+  "js",
   "0.1",
   "Henrik Ingo",
   "Execute JavaScript code with supplied arguments",

=== modified file 'plugin/js/plugin.ini'
--- plugin/js_eval/plugin.ini	2011-08-29 13:12:05 +0000
+++ plugin/js/plugin.ini	2011-09-08 11:59:00 +0000
@@ -1,9 +1,9 @@
 [plugin]
-name=js_eval
+name=js
 version=0.1
 author=Henrik Ingo
 license=PLUGIN_LICENSE_GPL
-title=Evaluate JavaScript Code
+title=Execute JavaScript Code
 description=Execute JavaScript code with supplied parameters
 load_by_default=yes
 build_conditional="$ac_cv_libv8" = "yes"

